% Camber line gradient calculator for NACA airfoils
% This funciton calculates the gradient of the camber line dy_c/dx

function dy_c_dx = dy_c_dx_calc(x, m, p, c)
    
    dy_c_dx = zeros(size(x));
    
    for i = 1:length(x)
        if x(i) <= p*c
            dy_c_dx(i) = 2*m/p^2*(p - x(i)/c);
        else
            dy_c_dx(i) = 2*m/(1 - p)^2*(p - x(i)/c);
        end
    end
    
        
end