% Wing profile calculator for NACA airfoils
% This funciton creates a set of points, which make up the surface of 
% the airfoil and places these coordinates in two matrices, one for the 
% lower surface (C_l) and one for the upper (C_u)

function [C_l C_u] = profile_calc(y_t, y_c, x, m, p, c)
    
    C_l = zeros(2, length(x));
    C_u = C_l;
    
    dy_c_dx = dy_c_dx_calc(x, m, p, c);
    
    for i = 1:length(x)
        theta = atan(dy_c_dx(i));
        
        C_l(1, i) = x(i) + y_t(i)*sin(theta);
        C_l(2, i) = y_c(i) - y_t(i)*cos(theta);
        
        C_u(1, i) = x(i) - y_t(i)*sin(theta);
        C_u(2, i) = y_c(i) + y_t(i)*cos(theta);
        
        
    end
end