% Assymetric camber line calculator for NACA airfoils
% This funciton calculated the camber line displacement as y_c, used to
% generate assymtrical airfoils. 

function y_c = y_c_calc(x, m, p, c)
    y_c = zeros(size(x));
    
    for i = 1:length(x)
        if x(i) <= p*c
            y_c(i) = m*x(i)/p^2*(2*p - x(i)/c);
        else
            y_c(i) = m*(c - x(i))/(1 - p)^2*(1 + x(i)/c - 2*p);
        end
    end
    
end