% Thickness calculator for NACA airfoils
% y_t is the distance from centerline to surface for a symmetrical airfoil
% y_t = y_t_calc(x, t, c)

function y_t = y_t_calc(x, t, c);
    
    y_t = t*c/0.2*(0.2969*sqrt(x/c) - 0.1260*(x/c) ...
          - 0.3516*(x/c).^2 + 0.2843*(x/c).^3 - 0.1015*(x/c).^4);
    
        
end